QGIS Application - Bug report #12931
"Calendar popup" Not Populating If Today is Clicked
2015-06-10 06:57 AM - Darren Cope

Status: Closed

Priority: Low

Assignee:

Category: Edit widget

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 21013
Description

Using a date field, setting the Edit widget to Date/Time, and enabling the 'calendar popup' widget, | am unable to click the currently
selected date (highlighted in blue on the calendar widget) and have the date populated in the field. This becomes an issue when wanting
to enter "today" which is the default selected date in the popup. To enter today, | must click a different day (to select it in blue) and then go
back and click the current date.

| also noticed that using the calendar popup will enter a time if the field is set as Date/Time, but the time will not update after choosing a
different date in the widget (ie. time only updates on the initial date/time entry using the widget.)

History

#1 - 2015-06-10 10:26 AM - Giovanni Manghi
- Status changed from Open to Feedback

| just tested on qgis master on ubuntu 14.04 and it seems to work fine here. Can you attach a sample project/data? thanks.

#2 - 2015-11-10 03:50 AM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed

Closing for lack of feedback. Reopen if necessary.
